Subject: Re: [Sip] Comments on draft-ietf-sip-outbound-03

From: Cullen Jennings <[email-masked]>
Date: Sun, 11 Jun 2006 15:26:34 -0700

On May 28, 2006, at 6:23 PM, Dale R. Worley wrote:

> Section 1: Introduction
>
>    Since, such detection takes time and leaves a window of opportunity
>    ...
>
> should be
>
>    Since such detection takes time and leaves a window of opportunity
fixed - thanks.

>    ...
>
> Section 4.2.1: Registration by Other Instances
>
>    A User Agent MUST NOT include an instance-id or reg-id in the  
> Contact
>    header field of a registration if the registering UA is not the  
> same
>    instance as the UA referred to by the target Contact header field.
>    (This practice is occasionally used to install forwarding policy  
> into
>    registrars.)
>
> This seems overly restrictive.  In regard to instance-id, it makes it
> impossible for a compliant UA to do a third-party registration that
> obtains a GRUU, even if the UA has no intentions of using the flow
> mechanism in regard to requests to/from the Contact UA.  ISTM that
> there should be no restriction on using instance-id independently of
> Outbound.
agree - fixed

>
> In regard to reg-id, this restriction would make it difficult for an
> edge-proxy to open a flow to a registrar/proxy to provide service for
> a UA in some cases, because the edge-proxy could not perform a
> third-party registration of the UA.  (Although it could forge a
> first-party registration to the same effect.)
>
> Section 5.3: Forwarding Requests
>
>    Note that techniques to ensure that mid-dialog requests are routed
>    over an existing flow are out of scope and therefore not part of  
> this
>    specification.  However, an approach such as having the Edge Proxy
>    Record-Route with a flow token is one way to ensure that mid-dialog
>    requests are routed over the correct flow.
>
> ISTM that to achieve the goals of this I-D, it is vital for mid-dialog
> requests to be routed over an existing flow.  But this paragraph is
> not clear as to whether the I-D specifies that "techniques" MUST be
> used (but is not specifying what ones are to be used) or just noting
> that it's possible to do so.
>

fixed

> Section 7: Mechanisms for All Servers (Proxys, Registars, UAS)
>
>    A SIP device that receives SIP messages directly from a UA needs to
>    behave as specified in this section.  Such devices would generally
>    include a Registrar and an Edge Proxy, as they both receive  
> register
>    requests directly from a UA.
>
> This should be tightened up, as *any* SIP device can receive SIP
> messages directly from a UA.  Also, this paragraph does not use the
> BCP 14 key words.
Fixed - but did not put MUST as later things get that the MUST would  
be redundant.

>
> Section 8: Example Message Flow
>
> In this message flow, there are three REGISTERs: F1, F3, and F15.  F1
> and F3, which create flows to two different registrars, have different
> Call-Ids, which makes sense.  But the I-D says that F15 has a
> different Call-Id than F1, despite being a REGISTER to the same proxy,
> for the same flow, albeit after the proxy rebooted.  It seems to me
> that F15 should be a successor to F1, with the same Call-Id and higher
> CSeq, as F15 is meant to refresh or replace F1.
>
> Dale

will start separate thread on this.

>
>
>
> _______________________________________________
> Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
> This list is for NEW development of the core SIP Protocol
> Use [email-masked] for questions on current sip
> Use [email-masked] for new developments on the application of sip

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip

---

From: Cullen Jennings <[email-masked]>
Date: Sun, 11 Jun 2006 15:28:45 -0700

> CSeq, as F15 is meant to refresh or replace F1.

I'm really never 100% sure about this. I suspect you are right. Does  
anyone have a problem with me making this change?

---

From: Cullen Jennings <[email-masked]>
Date: Sun, 11 Jun 2006 15:28:45 -0700